#pragma once
#include <maya/MPxSurfaceShapeUI.h>

class CurveStandInUI : public MPxSurfaceShapeUI
{
public:
	CurveStandInUI();
	~CurveStandInUI() override;

	void getDrawRequests(const MDrawInfo& info,
						 bool objectAndActiveOnly,
						 MDrawRequestQueue& requests) override;
	void draw(	const MDrawRequest& requests, 
				M3dView& view) const override;

	// Main selection routine
	//
	bool	select(	MSelectInfo& selectInfo,
					MSelectionList& selectionList,
					MPointArray& worldSpaceSelectPts ) const override;

	static  void* creator();
};